package com.misccraft.mod;

import java.util.List;

import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import net.minecraft.enchantment.EnchantmentHelper;
import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.IProjectile;
import net.minecraft.entity.monster.EntityEnderman;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.entity.projectile.EntityArrow;
import net.minecraft.init.Items;
import net.minecraft.item.ItemStack;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.network.play.server.S2BPacketChangeGameState;
import net.minecraft.util.AxisAlignedBB;
import net.minecraft.util.MathHelper;
import net.minecraft.util.MovingObjectPosition;
import net.minecraft.util.Vec3;
import net.minecraft.world.World;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;



public class EntityExplosiveArrow extends EntityArrow
{
private double explosionRadius = 10.0F;


	public EntityExplosiveArrow(World p_i1755_1_)
	{
		super(p_i1755_1_);
	}
	
	public EntityExplosiveArrow(World p_i1755_1_, EntityLivingBase p_i1755_2_,
			EntityLivingBase p_i1755_3_, float p_i1755_4_, float p_i1755_5_) {
		super(p_i1755_1_, p_i1755_2_, p_i1755_3_, p_i1755_4_, p_i1755_5_);

	}

	public EntityExplosiveArrow(World p_i1755_1_, EntityLivingBase p_i1755_2_,
			float p_i1755_4_) {
		super(p_i1755_1_, p_i1755_2_,  p_i1755_4_);

	}

	//Is an EntityArrow in everything except from the following things:	
	@Override
	public void setDamage(double p_70239_1_)
	{
		super.setDamage(15*p_70239_1_);
	}

	@Override
	public void setDead() 
	{
		super.setDead();
		this.worldObj.createExplosion(this, this.posX, this.posY, this.posZ, (float)this.explosionRadius, true);
	}
}

