package com.misccraft.mod;

import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.projectile.EntityThrowable;
import net.minecraft.util.MovingObjectPosition;
import net.minecraft.world.World;

public class EntitySniperBullet extends EntityThrowable
{
	private double explosionRadius = 1.5F;
	
    public EntitySniperBullet(World par1World)
    {
        super(par1World);
       // setVelocity(1,1,1);
    }
    
    public EntitySniperBullet(World par1World, EntityLivingBase par2EntityLivingBase)
    {
    	super(par1World, par2EntityLivingBase);

     	float speed=10.0F;
        motionX *= speed;
        motionY *= speed;
        motionZ *= speed;
//       setVelocity(100.0F,100.0F,100.0F);
    }
    
    public EntitySniperBullet(World par1World, double par2, double par4, double par6)
    {
        super(par1World, par2, par4, par6);
        //setVelocity(1,1,1);
    }
    
    @Override
    protected void onImpact(MovingObjectPosition par1MovingObjectPosition){
    	this.worldObj.createExplosion(this, this.posX, this.posY, this.posZ, (float)this.explosionRadius, true);  
}
}