package com.misccraft.mod;



import net.minecraft.block.Block;
import net.minecraft.block.BlockLiquid;
import net.minecraft.block.material.Material;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.potion.Potion;
import net.minecraft.potion.PotionEffect;
import net.minecraft.world.IBlockAccess;
import net.minecraft.world.World;

public class FluidLavaHard extends BlockLiquid
{
	public FluidLavaHard()
	
	{	           
		super(Material.lava);
		setHardness(4.0F); 
		setStepSound(Block.soundTypeStone);
		setBlockName("FluidPoisonLava");
		setCreativeTab(CreativeTabs.tabBlock);
		
		
	}	
	
	@Override
	public void onBlockClicked(World p_149699_1_, int p_149699_2_, int p_149699_3_, int p_149699_4_, EntityPlayer p_149699_5_)
    {
		p_149699_5_.addPotionEffect(new PotionEffect(Potion.fireResistance.id, 60000, 2));
        	
		
    }
		
/*    public boolean isOpaqueCube()
    {
        return true;
    }

    public boolean isLiquid()
    {
        return false;
    }
*/	
    /**
     * Determines if a new block can be replace the space occupied by this one,
     * Used in the player's placement code to make the block act like water, and lava.
     *
     * @param world The current world
     * @param x X Position
     * @param y Y position
     * @param z Z position
     * @return True if the block is replaceable by another block
     */
/*    public boolean isReplaceable(IBlockAccess world, int x, int y, int z)
    {
        return false;
    }
*/
    /**
     * Determines if this block should set fire and deal fire damage
     * to entities coming into contact with it.
     *
     * @param world The current world
     * @param x X Position
     * @param y Y position
     * @param z Z position
     * @return True if the block should deal damage
     */

/*     public boolean isBurning(IBlockAccess world, int x, int y, int z)
 
    {
        return false;
    }
*/
    
	
/*	public boolean isBlockSolid(IBlockAccess p_149747_1_,
            int p_149747_2_,
            int p_149747_3_,
            int p_149747_4_,
            int p_149747_5_)
            {
		return true;
            }
*/		
}		