package com.misccraft.mod;

import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;

public class ItemBlasterRifle extends Item
{
	
Item rifleAmmo;

public ItemBlasterRifle()
  {
    super();
    setCreativeTab(CreativeTabs.tabCombat);
    setUnlocalizedName("blasterRifle");
  }
  
  public void registerAmmo(Item ammo)
  {
	  rifleAmmo = ammo;
  }
  
  public ItemStack onItemRightClick(ItemStack par1ItemStack, World par2World, EntityPlayer par3EntityPlayer)
  {
	  
	  if (!par3EntityPlayer.inventory.hasItem(rifleAmmo))
		  return par1ItemStack;
	  

      par2World.playSoundAtEntity(par3EntityPlayer, "random.bow", 0.5F, 0.4F / (itemRand.nextFloat() * 0.4F + 0.8F));
      if (!par2World.isRemote)
      {
        par2World.spawnEntityInWorld(new EntityBlasterBolt(par2World, par3EntityPlayer));
        par3EntityPlayer.inventory.consumeInventoryItem(rifleAmmo);        
      }
      return par1ItemStack;
  }  
  
}
