package com.misccraft.mod;

import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;

public class ItemSniperRifle extends Item
{
	
Item snipeAmmo;

public ItemSniperRifle()
  {
    super();
    setCreativeTab(CreativeTabs.tabCombat);
    setUnlocalizedName("sniperRifle");
  }
  
  public void registerAmmo(Item ammo)
  {
	  snipeAmmo = ammo;
  }
  
  public ItemStack onItemRightClick(ItemStack par1ItemStack, World par2World, EntityPlayer par3EntityPlayer)
  {
	  
	  if (!par3EntityPlayer.inventory.hasItem(snipeAmmo))
		  return par1ItemStack;
	  

      par2World.playSoundAtEntity(par3EntityPlayer, "random.bow", 0.5F, 0.4F / (itemRand.nextFloat() * 0.4F + 0.8F));
      if (!par2World.isRemote)
      {
        par2World.spawnEntityInWorld(new EntitySniperBullet(par2World, par3EntityPlayer));
        
        
        par3EntityPlayer.inventory.consumeInventoryItem(snipeAmmo);        
      }
      return par1ItemStack;
  }

public static void main(String[] args) {
	
}  
  
}
