package com.misccraft.mod;

import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import net.minecraft.client.renderer.entity.RenderSnowball;
import net.minecraft.entity.EnumCreatureType;
import net.minecraft.init.Blocks;
import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.world.biome.BiomeGenBase;
import cpw.mods.fml.client.registry.RenderingRegistry;
import cpw.mods.fml.common.Mod;
import cpw.mods.fml.common.Mod.EventHandler;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.registry.EntityRegistry;
import cpw.mods.fml.common.registry.GameRegistry;

@Mod(modid = MiscCraft.MODID, version = MiscCraft.VERSION)
public class MiscCraft
{
    public static final String MODID = "MiscCraftMod";
    public static final String VERSION = "1.0";
    
    @EventHandler
    public void init(FMLInitializationEvent event)
    {
    	int entityNumber=1;
//        MinecraftForge.EVENT_BUS.register(new GuiBufferBar(Minecraft.getMinecraft()));
        
// BAZOOKA
    	ItemBlasterRifle blasterRifle = new ItemBlasterRifle();
        blasterRifle.setTextureName("genericmod:bazooka");
        GameRegistry.registerItem(blasterRifle, "Blaster Rifle");

        Item blasterBolt;
        blasterBolt = new ItemBlasterBolt();
        blasterBolt.setTextureName("genericmod:bazookablast");
        GameRegistry.registerItem(blasterBolt, "Blaster Bolt");

        blasterRifle.registerAmmo(blasterBolt);

        EntityRegistry.registerModEntity(EntityBlasterBolt.class, "BazookaBlast", entityNumber++, this, 64, 10, true);
        RenderingRegistry.registerEntityRenderingHandler(EntityBlasterBolt.class, new RenderSnowball(blasterBolt));
        
// MACHINEGUN
        ItemMachineGun machineGun = new ItemMachineGun();
        machineGun.setTextureName("genericmod:mashinegun");
        GameRegistry.registerItem(machineGun,"MachineGun");
        
        Item mediumBlast = new ItemMediumBlast();
        mediumBlast.setTextureName("genericmod:medelblast");
        GameRegistry.registerItem(mediumBlast, "Medium Blast");

        machineGun.registerAmmo(mediumBlast);
        
        EntityRegistry.registerModEntity(EntityMediumBlast.class, "MediumBlast", entityNumber++, this, 64, 10, true);
        RenderingRegistry.registerEntityRenderingHandler(EntityMediumBlast.class, new RenderSnowball(mediumBlast));
   
        
//        Item nuke = new ItemNuke();
//        nuke.setTextureName("genericmod:medelblast");
//        GameRegistry.registerItem(nuke, "Item Nuke");
//
//        
//        EntityRegistry.registerModEntity(EntityNuke.class, "EntityNuke", entityNumber++, this, 64, 10, true);
//        RenderingRegistry.registerEntityRenderingHandler(EntityNuke.class, new RenderSnowball(nuke));

//machinezooka        
        
        ItemMachineBazooca mazo = new ItemMachineBazooca();
        mazo.setTextureName("genericmod:bazooka");
        GameRegistry.registerItem(mazo, "Item Machine Bazooca");

        mazo.registerAmmo(blasterBolt);
        mazo.registerAmmo(mediumBlast);
 //wands       
     	ItemSkeletonWand swand = new ItemSkeletonWand();
        swand.setTextureName("genericmod:swand");
        GameRegistry.registerItem(swand, "Skeleton Wand ");
      
        CreeperWand cwand = new CreeperWand();
        cwand.setTextureName("genericmod:swand");
        GameRegistry.registerItem(cwand, "Creeper Wand ");
        
        Item creeperShot = new ItemCreeperShot();
        creeperShot.setTextureName("genericmod:medelblast");
        GameRegistry.registerItem(creeperShot, "Creeper Shot");
        
        EntityRegistry.registerModEntity(CreeperShot.class, "CreeperShot", entityNumber++, this, 64, 10, true);
        RenderingRegistry.registerEntityRenderingHandler(CreeperShot.class, new RenderSnowball(creeperShot));
   
 //SNIPERRIFLE      
        ItemSniperRifle sniperRifle = new ItemSniperRifle();
        sniperRifle.setTextureName("genericmod:sniperRifel");
        GameRegistry.registerItem(sniperRifle,"SniperRifle");
        
        Item sniperBullet = new ItemSniperBullet();
        sniperBullet.setTextureName("genericmod:sniperbullet");
        GameRegistry.registerItem(sniperBullet,"SniperBullet");
        
        sniperRifle.registerAmmo(sniperBullet);
        
        EntityRegistry.registerModEntity(EntitySniperBullet.class, "SniperBullet", entityNumber++, this, 64, 10, true);
        RenderingRegistry.registerEntityRenderingHandler(EntitySniperBullet.class, new RenderSnowball(sniperBullet));
     //Bouns
        ItemBouncingBallGun itemBouncingBallGun = new ItemBouncingBallGun();
        itemBouncingBallGun.setTextureName("genericmod:BouncingBallGun");
        GameRegistry.registerItem(itemBouncingBallGun,"ItemBouncingBallGun");
        
        Item itemBouncingBall = new ItemBouncingBall();
        itemBouncingBall.setTextureName("genericmod:BouncingBall");
        GameRegistry.registerItem(itemBouncingBall, "ItemBouncingBall");

        entityNumber=1000;
        
        EntityRegistry.registerModEntity(EntityBouncingBall.class, "EntityBouncingBall", entityNumber++, this, 64, 10, true);
        RenderingRegistry.registerEntityRenderingHandler(EntityBouncingBall.class, new RenderSnowball(itemBouncingBall));
   
        
//        GameData.getItemRegistry().addObject(322, "golden_apple", (new ItemAppleGold(4, 1.2F, false)).setAlwaysEdible().setPotionEffect(Potion.regeneration.id, 5, 1, 1.0F).setUnlocalizedName("appleGold").setTextureName("apple_golden"));
        itemHamburger burger = new itemHamburger(20,3,false);
        burger.setTextureName("genericmod:hamburger");
        GameRegistry.registerItem(burger,"itemHamburger");
        
        
        ItemCandy candy = new ItemCandy(20,3,false);
        candy.setTextureName("genericmod:candy");
        GameRegistry.registerItem(candy,"ItemCandy");
        
        
        
        ItemChocolate cocholate = new ItemChocolate(20,3,false);
        cocholate.setTextureName("genericmod:chockolate");
        GameRegistry.registerItem(cocholate,"ItemChocolate");
          
       //compressed 
        Item compressedBone = new CompressedBone();
        compressedBone.setTextureName("genericmod:CompressedBone");
        GameRegistry.registerItem(compressedBone,"compressedBone");  
     
        Item dubbleCompressedBone = new DubbleCompressedBone();
        dubbleCompressedBone.setTextureName("genericmod:DubbleCompressedBone");
        GameRegistry.registerItem(dubbleCompressedBone,"DubbleCompressedBone"); 
        //Block
          
          Block genericOre = new GenericOre(Material.rock);
          genericOre.setHarvestLevel("pickaxe", 3);
          genericOre.setBlockTextureName("genericmod:genericore");
          GameRegistry.registerBlock(genericOre, "genericOre");
         
         
          Block genericOrea = new FluidPoisonWater();
          genericOrea.setHarvestLevel("pickaxe", 4);
          GameRegistry.registerBlock(genericOrea, "FluidPoisonWater");
         
          Block genericOres = new FluidLavaHard();
          genericOres.setHarvestLevel("pickaxe", 4);
          GameRegistry.registerBlock(genericOres, "FluidLavaHard");
          
          Block creeperPlant = new BlockCreeperPlant();
          creeperPlant.setHarvestLevel("hoe", 4);
          GameRegistry.registerBlock(creeperPlant, "creeperPlant");
         
  
          //EntityMob
        
        
 //GiantCreeper   
        EntityRegistry.registerGlobalEntityID(EntityGiantCreeper.class, "GiantCreeper", entityNumber, 28, 252000);
        RenderingRegistry.registerEntityRenderingHandler(EntityGiantCreeper.class, new RenderGiantCreeper());
        
        EntityRegistry.registerModEntity(EntityGiantCreeper.class, "GiantCreeper", entityNumber++, this, 80, 3, true);
        for (int i = 0; i < BiomeGenBase.getBiomeGenArray().length; i++)
        {
        		if (BiomeGenBase.getBiomeGenArray()[i] != null)
        		{
        				EntityRegistry.addSpawn(EntityGiantCreeper.class, 10, 1, 3, EnumCreatureType.monster, BiomeGenBase.getBiomeGenArray()[i]);
        		}
       }      
       
//GhostSkeleton
        EntityRegistry.registerGlobalEntityID(EntityGhostSkeleton.class, "GhostSkeleton", entityNumber, 0, 999999999);
        RenderingRegistry.registerEntityRenderingHandler(EntityGhostSkeleton.class, new RenderGhostSkeleton());
        
        EntityRegistry.registerModEntity(EntityGhostSkeleton.class, "GhostSkeleton", entityNumber++, this, 80, 3, true);
        for (int i = 0; i < BiomeGenBase.getBiomeGenArray().length; i++)
        {
        		if (BiomeGenBase.getBiomeGenArray()[i] != null)
        		{
        				EntityRegistry.addSpawn(EntityGhostSkeleton.class, 10, 1, 3, EnumCreatureType.monster, BiomeGenBase.getBiomeGenArray()[i]);
        		}
       }      
       
        //Tranchula
 
        EntityRegistry.registerGlobalEntityID(EntityTranchula.class, "Tranchula", entityNumber, 0, 45437);
        RenderingRegistry.registerEntityRenderingHandler(EntityTranchula.class, new RenderTranchula());
         
         EntityRegistry.registerModEntity(EntityTranchula.class, "Tranchula", entityNumber++, this, 80, 3, true);
         for (int i = 0; i < BiomeGenBase.getBiomeGenArray().length; i++)
         {
         		if (BiomeGenBase.getBiomeGenArray()[i] != null)
         		{
         				EntityRegistry.addSpawn(EntityTranchula.class, 10, 1, 3, EnumCreatureType.monster, BiomeGenBase.getBiomeGenArray()[i]);
         		}
        }       
        
        
        
        
        
        
        
        
        
        
        
       // RECEPT        
       
    	ItemStack dirtStack = new ItemStack(Blocks.dirt);
    	ItemStack gravelStack = new ItemStack(Blocks.gravel);

    	GameRegistry.addRecipe(new ItemStack(Blocks.sponge), "xy", "yx", 
    	        'x', dirtStack, 'y', gravelStack);
    



        ItemStack eggstack = new ItemStack(Items.egg);
        ItemStack rottenFlesh = new ItemStack(Items.rotten_flesh);
        GameRegistry.addRecipe(new ItemStack(Items.spawn_egg),"yy","yx",
        	 'x', eggstack,  'y' , rottenFlesh);
      
        
        
        
        
       ItemStack coalblockstack = new ItemStack(Blocks.coal_block);
       GameRegistry.addRecipe(new ItemStack(Items.diamond),"xxx","xxx","xxx",
       'x', coalblockstack);
       
       
       
       
       
       ItemStack slimeballstack = new ItemStack(Items.slime_ball);
       ItemStack diamondstack = new ItemStack(Items.diamond);
       GameRegistry.addRecipe(new ItemStack(Items.emerald)," x ","xyx"," x ",
    'x', slimeballstack, 'y',diamondstack);
    
    
    
    
    
       ItemStack nederbrickstack = new ItemStack(Blocks.nether_brick);    
       ItemStack diamondblock = new ItemStack(Blocks.diamond_block);
       GameRegistry.addRecipe(new ItemStack(Blocks.end_stone),"xxx","xyx","xxx",
     'x', nederbrickstack, 'y',diamondblock);
    
    
    
    
    
        ItemStack endstones = new ItemStack(Blocks.end_stone);
        ItemStack enderye = new ItemStack(Items.ender_eye);
        ItemStack enchant = new ItemStack(Blocks.enchanting_table);
        ItemStack di = new ItemStack(Blocks.diamond_block);
        GameRegistry.addRecipe(new ItemStack(Blocks.end_portal),"xxx","xyx","zwz",
      'x',endstones, 'y',di, 'z',enderye, 'w',enchant); 		
       
        
        
        
        ItemStack endportal = new ItemStack(Blocks.end_portal);
        ItemStack spawn = new ItemStack(Items.spawn_egg);
        ItemStack enderaye = new ItemStack(Items.ender_eye);
       GameRegistry.addRecipe(new ItemStack(Blocks.dragon_egg),"xzx","zwz","xzx",
       'x',enderaye, 'z',endportal, 'w',spawn);
       
       
       
       
       ItemStack ops = new ItemStack(Blocks.obsidian);
       GameRegistry.addRecipe(new ItemStack(Blocks.bedrock),"xxx","xxx","xxx",
       'x',ops);
       
       
       ItemStack ix = new ItemStack(Items.leather);
       ItemStack xi = new ItemStack(Items.iron_ingot);
       GameRegistry.addRecipe(new ItemStack(Items.saddle),"xxx","xzx",
    	'x',ix, 'z',xi);
       
       
       ItemStack q = new ItemStack(Items.blaze_powder);
       ItemStack w = new ItemStack(Items.stick);
       GameRegistry.addRecipe(new ItemStack(Items.blaze_rod),"xxx","xzx","xxx",
    	'x',w, 'z',q);
       
       
       ItemStack e = new ItemStack(Items.mushroom_stew);
       ItemStack r = new ItemStack(Blocks.dirt);
       GameRegistry.addRecipe(new ItemStack(Blocks.mycelium),"x","z",
      'x',e, 'z',r);
       
       ItemStack t = new ItemStack(Blocks.mycelium);
       GameRegistry.addRecipe(new ItemStack(Items.potato),"x",
      'x',t);
       
       
       ItemStack y = new ItemStack(Items.potato);
       GameRegistry.addRecipe(new ItemStack(Items.carrot),"xxx",
      'x',y);
       
       
       ItemStack u = new ItemStack(Items.blaze_powder);
       ItemStack i = new ItemStack(Blocks.redstone_block);
       ItemStack o = new ItemStack(Blocks.iron_block);
       ItemStack p = new ItemStack(Items.emerald);
       ItemStack a = new ItemStack(Blocks.tnt);
       ItemStack s = new ItemStack(Items.nether_star);
       GameRegistry.addRecipe(new ItemStack(blasterRifle),"xzw","yvp","xww",
      'x',u, 'z',i, 'w',o, 'y',p, 'v',a, 'p',s);
       
       
       ItemStack d = new ItemStack(Items.pumpkin_seeds);
       GameRegistry.addRecipe(new ItemStack(Items.pumpkin_pie),"www","www",
       'w',d);
       
       
       
       
       
       
       ItemStack f = new ItemStack(Items.iron_ingot);
       ItemStack g = new ItemStack(Items.stick);
       ItemStack h = new ItemStack(Items.redstone);
       GameRegistry.addRecipe(new ItemStack(blasterBolt,64),"wxz",
       'w',f, 'x',g, 'z',h);
       
       
       
       ItemStack j = new ItemStack(Blocks.stone);
       GameRegistry.addRecipe(new ItemStack(sniperBullet,64),"x",
       'x',j);
       
       
       ItemStack k = new ItemStack(Items.paper);
       GameRegistry.addRecipe(new ItemStack(mediumBlast,57),"x",
    	'x',k);
       
       ItemStack l = new ItemStack(Blocks.bedrock);
       ItemStack  = new ItemStack(Blocks.iron_block);
       ItemStack  = new ItemStack(Blocks.gold_block);
       ItemStack  = new ItemStack(Blocks.lapis_block);
       ItemStack z = new ItemStack(Blocks.redstone_block);
       ItemStack x = new ItemStack(Blocks.diamond_block);
       ItemStack c = new ItemStack(Blocks.emerald_block);
       ItemStack v = new ItemStack(Blocks.tnt);
       ItemStack b = new ItemStack(Blocks.redstone_torch);
       GameRegistry.addRecipe(new ItemStack(sniperRifle),"xwz","yvc","mkl",
       'x',l, 'w',, 'z',, 'y',, 'v',z, 'c',x, 'm',c, 'k',v, 'l',b);
       
       
       ItemStack n = new ItemStack(Items.blaze_rod);
       ItemStack m = new ItemStack(Blocks.log);
       GameRegistry.addRecipe(new ItemStack(Items.blaze_rod,10),"zzz","zxz","zzz",
      'x',n, 'z',m);
       
       
       
       
       ItemStack qq = new ItemStack(Items.diamond);
       ItemStack qw = new ItemStack(Blocks.log);
       GameRegistry.addRecipe(new ItemStack(Blocks.log,1999999),"zzz","zxz","zzz",
      'x',qq, 'z',qw);
       
       ItemStack qt = new ItemStack(Items.pumpkin_seeds);  
       ItemStack qe = new ItemStack(Items.bread);    
       ItemStack qr = new ItemStack(Items.cooked_beef);
       ItemStack burgerStack = new ItemStack(burger); 
       GameRegistry.addRecipe(burgerStack,"zxz"," y ","zxz",
     'x', qe, 'y',qr, 'z',qt);
       
       ItemStack enchantedBurger = new ItemStack(burger);
       enchantedBurger.setItemDamage(1);
       
       ItemStack qy = new ItemStack(Items.baked_potato);
       ItemStack qu = new ItemStack(burger);
       GameRegistry.addRecipe(enchantedBurger,"xxx","xzx","xxx",
      'x',qy, 'z',qu);
         
      
       ItemStack compressedBoneStack = new ItemStack(compressedBone);
       
       
       ItemStack qi = new ItemStack(Items.bone);
       GameRegistry.addRecipe(compressedBoneStack,"zzz","zzz","zzz",
       'z',qi);
         
       ItemStack dubbleCompressedBoneStack = new ItemStack(dubbleCompressedBone);
       
       
//       ItemStack qo = new ItemStack (compressedBoneStack);
//       GameRegistry.addRecipe(dubbleCompressedBoneStack,"zzz","zzz","zzz",
//       'z',qo);
//         
       
       ItemStack qo = new ItemStack(itemBouncingBall);  
       ItemStack qp = new ItemStack(Items.iron_door);    
       ItemStack qa = new ItemStack(blasterRifle);
       ItemStack qs = new ItemStack(Blocks.iron_block);   
       ItemStack itemBouncingBallGunStack = new ItemStack(itemBouncingBallGun);
       GameRegistry.addRecipe(itemBouncingBallGunStack,"www","yxz","www",
     'x', qo, 'y',qp, 'z',qs, 'w',qa);
       
       ItemStack qd = new ItemStack(Blocks.iron_block);   
       ItemStack itemBouncingBallStack = new ItemStack(itemBouncingBall);
       GameRegistry.addRecipe(itemBouncingBallStack,"xxx","xxx","xxx",
     'x', qd);
       
      
           
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       
       //smelting
       
       ItemStack woolStackBlack = new ItemStack(Blocks.wool);
       ItemStack woolStackWhite = new ItemStack(Blocks.wool);
       woolStackBlack.setItemDamage(15);
       woolStackWhite.setItemDamage(0);
       GameRegistry.addSmelting(woolStackBlack, woolStackWhite, 0.1f);
       
       GameRegistry.addSmelting(Blocks.stone, new ItemStack(Blocks.stonebrick), 0.1f);
       
       
       
       ItemStack goldnugg = new ItemStack(Items.gold_nugget);
       ItemStack pumpsed = new ItemStack(Items.pumpkin_seeds);
       goldnugg.setItemDamage(0);
       pumpsed.setItemDamage(0);
       GameRegistry.addSmelting(goldnugg, pumpsed,0.1f);
       
       
       
       
       ItemStack be = new ItemStack(Items.cooked_beef);
       ItemStack c2 = new ItemStack(Items.coal);
       be.setItemDamage(0);
       c2.setItemDamage(0);
       GameRegistry.addSmelting(be, c2, 0.1f);
       
       
       
       
       ItemStack hi = new ItemStack(Items.spawn_egg);
       ItemStack ih = new ItemStack(Items.spawn_egg);
       hi.setItemDamage(0);
       ih.setItemDamage(50);       
       GameRegistry.addSmelting(hi, ih, 0.1f);
       
       
       ItemStack bo = new ItemStack(Items.spawn_egg);
       ItemStack ob = new ItemStack(Items.spawn_egg);
       bo.setItemDamage(50);
       ob.setItemDamage(51);       
       GameRegistry.addSmelting(bo, ob, 0.1f);  
  
    
    
       ItemStack bq = new ItemStack(Items.spawn_egg);
       ItemStack qb = new ItemStack(Items.spawn_egg);
       bq.setItemDamage(51);
       qb.setItemDamage(52);       
       GameRegistry.addSmelting(bq, qb, 0.1f);  
    
    
    
    
       ItemStack bw = new ItemStack(Items.spawn_egg);
       ItemStack wb = new ItemStack(Items.spawn_egg);
       bw.setItemDamage(52);
       wb.setItemDamage(53);       
       GameRegistry.addSmelting(bw, wb, 0.1f);  
    
       ItemStack br = new ItemStack(Items.spawn_egg);
       ItemStack rb = new ItemStack(Items.spawn_egg);
       br.setItemDamage(53);
       rb.setItemDamage(54);       
       GameRegistry.addSmelting(br, rb, 0.1f);  
    
       ItemStack bt = new ItemStack(Items.spawn_egg);
       ItemStack tb = new ItemStack(Items.spawn_egg);
       bt.setItemDamage(54);
       tb.setItemDamage(55);       
       GameRegistry.addSmelting(bt, tb, 0.1f);  
    
       ItemStack by = new ItemStack(Items.spawn_egg);
       ItemStack yb = new ItemStack(Items.spawn_egg);
       by.setItemDamage(55);
       yb.setItemDamage(56);       
       GameRegistry.addSmelting(by, yb, 0.1f);  
    
       ItemStack bu = new ItemStack(Items.spawn_egg);
       ItemStack ub = new ItemStack(Items.spawn_egg);
       bu.setItemDamage(56);
       ub.setItemDamage(57);       
       GameRegistry.addSmelting(bu, ub, 0.1f);  

       ItemStack bi = new ItemStack(Items.spawn_egg);
       ItemStack ib = new ItemStack(Items.spawn_egg);
       bi.setItemDamage(57);
       ib.setItemDamage(58);       
       GameRegistry.addSmelting(bi, ib, 0.1f);   
    
       ItemStack bp = new ItemStack(Items.spawn_egg);
       ItemStack pb = new ItemStack(Items.spawn_egg);
       bp.setItemDamage(58);
       pb.setItemDamage(59);       
       GameRegistry.addSmelting(bp, pb, 0.1f);   
    
       ItemStack b = new ItemStack(Items.spawn_egg);
       ItemStack b = new ItemStack(Items.spawn_egg);
       b.setItemDamage(59);
       b.setItemDamage(60);       
       GameRegistry.addSmelting(b, b, 0.1f); 
    

       ItemStack ba = new ItemStack(Items.spawn_egg);
       ItemStack ab = new ItemStack(Items.spawn_egg);
       ba.setItemDamage(60);
       ab.setItemDamage(61);       
       GameRegistry.addSmelting(ba, ab, 0.1f); 
    
       ItemStack bs = new ItemStack(Items.spawn_egg);
       ItemStack sb = new ItemStack(Items.spawn_egg);
       bs.setItemDamage(61);
       sb.setItemDamage(62);       
       GameRegistry.addSmelting(bs, sb, 0.1f); 
    
       ItemStack bd = new ItemStack(Items.spawn_egg);
       ItemStack db = new ItemStack(Items.spawn_egg);
       bd.setItemDamage(62);
       db.setItemDamage(63);       
       GameRegistry.addSmelting(bd, db, 0.1f); 
    
       ItemStack bf = new ItemStack(Items.spawn_egg);
       ItemStack fb = new ItemStack(Items.spawn_egg);
       bf.setItemDamage(63);
       fb.setItemDamage(64);       
       GameRegistry.addSmelting(bf, fb, 0.1f); 
    
       ItemStack bg = new ItemStack(Items.spawn_egg);
       ItemStack gb = new ItemStack(Items.spawn_egg);
       bg.setItemDamage(64);
       gb.setItemDamage(65);       
       GameRegistry.addSmelting(bg, gb, 0.1f); 
    
       
       ItemStack bh = new ItemStack(Items.spawn_egg);
       ItemStack hb = new ItemStack(Items.spawn_egg);
       bh.setItemDamage(65);
       hb.setItemDamage(66);       
       GameRegistry.addSmelting(bh, hb, 0.1f); 
    
       
       ItemStack bj = new ItemStack(Items.spawn_egg);
       ItemStack jb = new ItemStack(Items.spawn_egg);
       bj.setItemDamage(66);
       jb.setItemDamage(90);       
       GameRegistry.addSmelting(bj, jb, 0.1f); 
       
       ItemStack bk = new ItemStack(Items.spawn_egg);
       ItemStack kb = new ItemStack(Items.spawn_egg);
       bk.setItemDamage(90);
       kb.setItemDamage(91);       
       GameRegistry.addSmelting(bk, kb, 0.1f); 
       
       ItemStack bl = new ItemStack(Items.spawn_egg);
       ItemStack lb = new ItemStack(Items.spawn_egg);
       bl.setItemDamage(91);
       lb.setItemDamage(92);       
       GameRegistry.addSmelting(bl, lb, 0.1f); 
       
       ItemStack b = new ItemStack(Items.spawn_egg);
       ItemStack b = new ItemStack(Items.spawn_egg);
       b.setItemDamage(92);
       b.setItemDamage(93);       
       GameRegistry.addSmelting(b, b, 0.1f); 
       
       ItemStack b = new ItemStack(Items.spawn_egg);
       ItemStack b = new ItemStack(Items.spawn_egg);
       b.setItemDamage(93);
       b.setItemDamage(94);       
       GameRegistry.addSmelting(b, b, 0.1f); 
       
       ItemStack bz = new ItemStack(Items.spawn_egg);
       ItemStack zb = new ItemStack(Items.spawn_egg);
       bz.setItemDamage(94);
       zb.setItemDamage(95);       
       GameRegistry.addSmelting(bz, zb, 0.1f); 
       
       ItemStack bx = new ItemStack(Items.spawn_egg);
       ItemStack xb = new ItemStack(Items.spawn_egg);
       bx.setItemDamage(95);
       xb.setItemDamage(96);       
       GameRegistry.addSmelting(bx, xb, 0.1f); 
       
       ItemStack bc = new ItemStack(Items.spawn_egg);
       ItemStack cb = new ItemStack(Items.spawn_egg);
       bc.setItemDamage(96);
       cb.setItemDamage(97);       
       GameRegistry.addSmelting(bc, cb, 0.1f); 
       
       ItemStack bv = new ItemStack(Items.spawn_egg);
       ItemStack vb = new ItemStack(Items.spawn_egg);
       bv.setItemDamage(97);
       vb.setItemDamage(98);       
       GameRegistry.addSmelting(bv, vb, 0.1f); 
       
       ItemStack bn = new ItemStack(Items.spawn_egg);
       ItemStack nb = new ItemStack(Items.spawn_egg);
       bn.setItemDamage(98);
       nb.setItemDamage(99);       
       GameRegistry.addSmelting(bn, nb, 0.1f); 
       
       ItemStack bm = new ItemStack(Items.spawn_egg);
       ItemStack mb = new ItemStack(Items.spawn_egg);
       bm.setItemDamage(99);
       mb.setItemDamage(100);       
       GameRegistry.addSmelting(bm, mb, 0.1f); 
       
       ItemStack ng = new ItemStack(Items.spawn_egg);
       ItemStack gn = new ItemStack(Items.spawn_egg);
       ng.setItemDamage(100);
       gn.setItemDamage(120);       
       GameRegistry.addSmelting(ng, gn, 0.1f); 
       
      
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    }
}