package com.misccraft.mod;



import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.projectile.EntityThrowable;
import net.minecraft.util.MovingObjectPosition;
import net.minecraft.world.World;

public class EntityNuke extends EntityThrowable
{


    private double explosionRadius = 100.0F;
    private World world2;
    private EntityLivingBase par3EntityPlayer;
    public EntityNuke(World par1World)
    {
        super(par1World);
        world2 = par1World;
    }

    public EntityNuke(World par1World, EntityLivingBase par2EntityLivingBase)
    {
        super(par1World, par2EntityLivingBase);
        world2 = par1World;
    }

    public EntityNuke(World par1World, double par2, double par4, double par6)
    {
        super(par1World, par2, par4, par6);
        world2 = par1World;
    }
    
    @Override
    protected void onImpact(MovingObjectPosition par1MovingObjectPosition)
    {
    	world2.spawnEntityInWorld(new EntityNuke(world2, par3EntityPlayer));
    	this.worldObj.createExplosion(this, this.posX, this.posY, this.posZ, (float)this.explosionRadius, true);
    }
}